@import './colors.scss';
@import './typography.scss';
@import './button.scss';
@import './media-sizes.scss';

#slider{
    position: relative;
    .item{
        height: 420px;
        background: #d2d2d2;
        @media(max-width:$tablet){
            height: 520px;
        }
        .flex{
            height: 100%;
            @media(max-width:$tablet){
                overflow: hidden;
            }            
            .left{
                margin: auto 0 auto auto;
                padding-right: 100px;
                @media(max-width:$tablet){
                    margin: 30px auto auto 30px;
                    position: relative;
                    height: calc(100% - 30px);
                    width: calc(40% - 30px);
                    padding-right: 0;
                    z-index: 2;
                }
                @media(max-width:$mobile){
                    width: 0;
                }
                label{
                    // @include font-light;
                    @include font(light, 42px, #000000);
                    text-transform: uppercase;                    
                    opacity: 0.5;
                    @media(max-width:$tablet){
                        @include font(light, 35px, #000000);
                    }
                }
                h2{
                    @include font(black, 169px, #000000);
                    text-transform: uppercase;                    
                    opacity: 0.5;
                    line-height: 130px;
                    margin-bottom: 30px;
                    @media(max-width:$tablet){
                        @include font(black, 120px, #000000);
                        line-height: 94px;
                    }
                }
                button{
                    @include button(23px 68px, 28px);
                    @media(max-width:$tablet){
                        @include button(19px 55px, 25px);
                        position: absolute;
                        bottom: 0;
                        transform: translateY(-100%)
                    }
                    @media(max-width:$mobile){
                        @include button(19px 55px, 25px);
                    }
                }
            }
            .right{
                width: 420px;
                margin: auto auto auto 50px;
                background-image: url('../images/mancha2.png');
                background-position: left center;
                background-size: contain;
                background-repeat: no-repeat;
                height: 100%;
                @media(max-width:$tablet){
                    margin: 0 0 0 0;
                    position: relative;
                    height: 100%;
                    width: 60%;
                    z-index: 1;
                }
                @media(max-width:941px){
                    width: 40%;
                }
                @media(max-width:$mobile){
                    width: 90%;
                }
                > div{
                    margin: auto auto auto 0px;
                    padding-right: 50px;
                    padding-left: 50px;
                    // only for ver small phones
                    @media(max-width:376px){
                        margin: auto auto auto -35px;
                    }
                    .currency{
                        @include font(black, 41px, #fff);
                        position: relative;
                        left: 10px;
                    }
                    .price{
                        @include font(black, 146px, #fff);
                        line-height: 80px;
                        position: relative;
                        @media(max-width:$mobile){
                            @include font(black, 120px, #fff);
                        }
                        sup{
                            @include font(black, 39px, #fff);
                            position: relative;
                            top: -20px;
                            @media(max-width:$mobile){
                                @include font(black, 32px, #fff);
                            }
                        }
                        sub{
                            @include font(black, 39px, #fff);
                            position: absolute;
                            bottom: -24px;
                            right: -43px;
                            @media(max-width:$mobile){
                                @include font(black, 32px, #fff);
                            }
                        }
                    }
                }                
            }
        }
    }
    .slick-arrow{
        border: none;
        width: 81px;
        height: 81px;
        text-indent: -100000px;
        position: absolute;
        top: 50%;
        z-index: 2;
        transform: translateY(-50%);
        background-color: transparent;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        cursor: pointer;
        @media(max-width:$tablet){
            display: none !important;
        }
        &.slick-prev{
            left: 25px;
            background-image: url('../images/arrow-slider.png');
        }
        &.slick-next{
            right: 25px;
            background-image: url('../images/arrow-slider.png');
            transform: translateY(-50%) rotate(180deg);
        }
    }
}